#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xatom.h>
main()
{
   Display *d1, *d2;
   Window w1, w2;
   GC gc1, gc2;
   XEvent e;

   d1 = XOpenDisplay (NULL);
   w1 = XCreateSimpleWindow (d1, RootWindow (d1, 0), 300, 300,
                             200, 200, 2, 0, 1);
   XSelectInput (d1, w1, ButtonPressMask);
   XMapWindow (d1, w1);
   gc1 = XCreateGC (d1, w1, 0, 0);

   d2 = XOpenDisplay (getenv ("DISPLAY2"));
   w2 = XCreateSimpleWindow (d2, RootWindow (d2, 0), 600, 600,
                             200, 200, 2, 0, 1);
   XSelectInput (d2, w2, ButtonPressMask);
   XMapWindow (d2, w2);
   gc2 = XCreateGC (d2, w2, 0, 0);

   while (1)
    {
     if (XPending (d1) > 0)
      {XNextEvent (d1, &e);
       if (e.type == ButtonPress)
        {XDrawRectangle (d1, w1, gc1, e.xbutton.x, e.xbutton.y, 4, 4);
         XDrawRectangle (d2, w2, gc2, e.xbutton.x, e.xbutton.y, 4, 4);
        }
      }
     if (XPending (d2) > 0)
      {XNextEvent (d2, &e);
       if (e.type == ButtonPress)
        {XFillRectangle (d1, w1, gc1, e.xbutton.x, e.xbutton.y, 4, 4);
         XFillRectangle (d2, w2, gc2, e.xbutton.x, e.xbutton.y, 4, 4);
        }
      }
    }
}
